Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.shipping
Interface ShippingMethod

public interface ShippingMethod
extends Entity, ShippingMethodConstants

A shipping method is a mechanism by which product is delivered. It stores a standard set of attributes and allows for complex shipping cost calculation.

     Primary Key = theory.smart.ebusiness.shipping.ShippingMethodPk

                      key
     [ShippingMethod] <*>------> [String] (Primary Key)

                      carrier
     [ShippingMethod] <*>------> [String]

                      method
     [ShippingMethod] <*>------> [String]

                      averageShippingTime
     [ShippingMethod] <*>------> [int]

                      price
     [ShippingMethod] <*>------> [theory.smart.axiom.units.Price]

                      weightLimit
     [ShippingMethod] <*>------> [theory.smart.axiom.units.Quantity]

                      restrictions
     [ShippingMethod] <*>------> [String]

                      description
     [ShippingMethod] <*>------> [String]

                      poBoxAllowed
     [ShippingMethod] <*>------> [boolean]

                      signatureRequired
     [ShippingMethod] <*>------> [boolean]

                      saturdayDelivery
     [ShippingMethod] <*>------> [boolean]

                      internationalDelivery
     [ShippingMethod] <*>------> [boolean]

                      sizeLimit
     [ShippingMethod] <*>------> [theory.smart.axiom.units.Quantity]

                      packagingType
     [ShippingMethod] <*>------> [String]

                      percentage
     [ShippingMethod] <*>------> [double]

                      costCalculationMechanism
     [ShippingMethod] <*>------> [String]

See Also:
  `ShippingMethodPk`, `ShippingMethodHome`, `ShippingMethodImpl`, `ShippingMethodValue`

Fields inherited from interface theory.smart.ebusiness.shipping.ShippingMethodConstants
`FLATRATE, PERCENTAGE, PERITEM, POLICY`

Method Summary
`int` | `getAverageShippingTime()` Get the value of averageShippingTime
`java.lang.String` | `getCarrier()` Get the value of carrier
`java.lang.String` | `getCostCalculationMechanism()` Get the value of costCalculationMechanism
`java.lang.String` | `getDescription()` Get the value of description
`boolean` | `getInternationalDelivery()` Get the value of internationalDelivery
`java.lang.String` | `getKey()`
`java.lang.String` | `getMethod()` Get the value of method
`java.lang.String` | `getPackagingType()` Get the value of packagingType
`double` | `getPercentage()` Get the value of percentage
`boolean` | `getPoBoxAllowed()` Get the value of poBoxAllowed
`Price` | `getPrice()` Get the value of price
`java.lang.String` | `getRestrictions()` Get the value of restrictions
`boolean` | `getSaturdayDelivery()` Get the value of saturdayDelivery
`Price` | `getShippingCost(PackingList list)` Get the cost of shipping an entire order.
`Price` | `getShippingCost(ShippingCostCalculationPolicy policy, PackingList list)` Get the cost of shipping an entire order using an alternative policy.
`ShippingCostCalculationPolicy` | `getShippingCostCalculationPolicy()`
`ShippingMethodValue` | `getShippingMethodByValue()` Get all of ShippingMethod's attributes.
`boolean` | `getSignatureRequired()` Get the value of signatureRequired
`Quantity` | `getSizeLimit()` Get the value of sizeLimit
`Quantity` | `getWeightLimit()` Get the value of weightLimit
`void` | `setAverageShippingTime(int averageShippingTime)` Set the value of averageShippingTime
`void` | `setCarrier(java.lang.String carrier)` Set the value of carrier
`void` | `setCostCalculationMechanism(java.lang.String costCalculationMechanism)` Set the value of costCalculationMechanism
`void` | `setDescription(java.lang.String description)` Set the value of description
`void` | `setInternationalDelivery(boolean internationalDelivery)` Set the value of internationalDelivery
`void` | `setMethod(java.lang.String method)` Set the value of method
`void` | `setPackagingType(java.lang.String packagingType)` Set the value of packagingType
`void` | `setPercentage(double percentage)` Set the value of percentage
`void` | `setPoBoxAllowed(boolean poBoxAllowed)` Set the value of poBoxAllowed
`void` | `setPrice(Price price)` Set the value of price
`void` | `setRestrictions(java.lang.String restrictions)` Set the value of restrictions
`void` | `setSaturdayDelivery(boolean saturdayDelivery)` Set the value of saturdayDelivery
`void` | `setShippingCostCalculationPolicy(ShippingCostCalculationPolicy policy)`
`void` | `setShippingMethodByValue(ShippingMethodValue value)` Set all of ShippingMethod's attributes to the passed in value.
`void` | `setSignatureRequired(boolean signatureRequired)` Set the value of signatureRequired
`void` | `setSizeLimit(Quantity sizeLimit)` Set the value of sizeLimit
`void` | `setWeightLimit(Quantity weightLimit)` Set the value of weightLimit

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getShippingMethodByValue

    public ShippingMethodValue getShippingMethodByValue()
                                                 throws java.rmi.RemoteException

  Get all of ShippingMethod's attributes.
  Returns:
    ShippingMethodValue the ShippingMethod value object

### setShippingMethodByValue

    public void setShippingMethodByValue(ShippingMethodValue value)
                                  throws java.rmi.RemoteException

  Set all of ShippingMethod's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `ShippingMethodValue` - the ShippingMethod value object

### getKey

    public java.lang.String getKey()
                            throws java.rmi.RemoteException

### getCarrier

    public java.lang.String getCarrier()
                                throws java.rmi.RemoteException

  Get the value of carrier
  Returns:
    carrier.

### setCarrier

    public void setCarrier(java.lang.String carrier)
                    throws java.rmi.RemoteException

  Set the value of carrier
  Parameters:
    `carriers` - carrier to be added

### getMethod

    public java.lang.String getMethod()
                               throws java.rmi.RemoteException

  Get the value of method
  Returns:
    method.

### setMethod

    public void setMethod(java.lang.String method)
                   throws java.rmi.RemoteException

  Set the value of method
  Parameters:
    `methods` - method to be added

### getAverageShippingTime

    public int getAverageShippingTime()
                               throws java.rmi.RemoteException

  Get the value of averageShippingTime
  Returns:
    averageShippingTime.

### setAverageShippingTime

    public void setAverageShippingTime(int averageShippingTime)
                                throws java.rmi.RemoteException

  Set the value of averageShippingTime
  Parameters:
    `averageShippingTimes` - averageShippingTime to be added

### getPrice

    public Price getPrice()
                   throws java.rmi.RemoteException

  Get the value of price
  Returns:
    price.

### setPrice

    public void setPrice(Price price)
                  throws java.rmi.RemoteException

  Set the value of price
  Parameters:
    `prices` - price to be added

### getWeightLimit

    public Quantity getWeightLimit()
                            throws java.rmi.RemoteException

  Get the value of weightLimit
  Returns:
    weightLimit.

### setWeightLimit

    public void setWeightLimit(Quantity weightLimit)
                        throws java.rmi.RemoteException

  Set the value of weightLimit
  Parameters:
    `weightLimits` - weightLimit to be added

### getRestrictions

    public java.lang.String getRestrictions()
                                     throws java.rmi.RemoteException

  Get the value of restrictions
  Returns:
    restrictions.

### setRestrictions

    public void setRestrictions(java.lang.String restrictions)
                         throws java.rmi.RemoteException

  Set the value of restrictions
  Parameters:
    `restrictionses` - restrictions to be added

### getDescription

    public java.lang.String getDescription()
                                    throws java.rmi.RemoteException

  Get the value of description
  Returns:
    description.

### setDescription

    public void setDescription(java.lang.String description)
                        throws java.rmi.RemoteException

  Set the value of description
  Parameters:
    `descriptions` - description to be added

### getPoBoxAllowed

    public boolean getPoBoxAllowed()
                            throws java.rmi.RemoteException

  Get the value of poBoxAllowed
  Returns:
    poBoxAllowed.

### setPoBoxAllowed

    public void setPoBoxAllowed(boolean poBoxAllowed)
                         throws java.rmi.RemoteException

  Set the value of poBoxAllowed
  Parameters:
    `poBoxAlloweds` - poBoxAllowed to be added

### getSignatureRequired

    public boolean getSignatureRequired()
                                 throws java.rmi.RemoteException

  Get the value of signatureRequired
  Returns:
    signatureRequired.

### setSignatureRequired

    public void setSignatureRequired(boolean signatureRequired)
                              throws java.rmi.RemoteException

  Set the value of signatureRequired
  Parameters:
    `signatureRequireds` - signatureRequired to be added

### getSaturdayDelivery

    public boolean getSaturdayDelivery()
                                throws java.rmi.RemoteException

  Get the value of saturdayDelivery
  Returns:
    saturdayDelivery.

### setSaturdayDelivery

    public void setSaturdayDelivery(boolean saturdayDelivery)
                             throws java.rmi.RemoteException

  Set the value of saturdayDelivery
  Parameters:
    `saturdayDeliveries` - saturdayDelivery to be added

### getInternationalDelivery

    public boolean getInternationalDelivery()
                                     throws java.rmi.RemoteException

  Get the value of internationalDelivery
  Returns:
    internationalDelivery.

### setInternationalDelivery

    public void setInternationalDelivery(boolean internationalDelivery)
                                  throws java.rmi.RemoteException

  Set the value of internationalDelivery
  Parameters:
    `internationalDeliveries` - internationalDelivery to be added

### getSizeLimit

    public Quantity getSizeLimit()
                          throws java.rmi.RemoteException

  Get the value of sizeLimit
  Returns:
    sizeLimit.

### setSizeLimit

    public void setSizeLimit(Quantity sizeLimit)
                      throws java.rmi.RemoteException

  Set the value of sizeLimit
  Parameters:
    `sizeLimits` - sizeLimit to be added

### getPackagingType

    public java.lang.String getPackagingType()
                                      throws java.rmi.RemoteException

  Get the value of packagingType
  Returns:
    packagingType.

### setPackagingType

    public void setPackagingType(java.lang.String packagingType)
                          throws java.rmi.RemoteException

  Set the value of packagingType
  Parameters:
    `packagingTypes` - packagingType to be added

### getPercentage

    public double getPercentage()
                         throws java.rmi.RemoteException

  Get the value of percentage
  Returns:
    percentage.

### setPercentage

    public void setPercentage(double percentage)
                       throws java.rmi.RemoteException

  Set the value of percentage
  Parameters:
    `percentages` - percentage to be added

### getCostCalculationMechanism

    public java.lang.String getCostCalculationMechanism()
                                                 throws java.rmi.RemoteException

  Get the value of costCalculationMechanism
  Returns:
    costCalculationMechanism.

### setCostCalculationMechanism

    public void setCostCalculationMechanism(java.lang.String costCalculationMechanism)
                                     throws java.rmi.RemoteException

  Set the value of costCalculationMechanism
  Parameters:
    `costCalculationMechanisms` - costCalculationMechanism to be added

### getShippingCost

    public Price getShippingCost(PackingList list)
                          throws java.rmi.RemoteException

  Get the cost of shipping an entire order.

### getShippingCost

    public Price getShippingCost(ShippingCostCalculationPolicy policy,
                                 PackingList list)
                          throws java.rmi.RemoteException

  Get the cost of shipping an entire order using an alternative policy.

### getShippingCostCalculationPolicy

    public ShippingCostCalculationPolicy getShippingCostCalculationPolicy()
                                                                   throws java.rmi.RemoteException

### setShippingCostCalculationPolicy

    public void setShippingCostCalculationPolicy(ShippingCostCalculationPolicy policy)
                                          throws java.rmi.RemoteException

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.